Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IText

    java.lang.Object
      igeo.IObject
          igeo.IText

    public class IText

extends IObject

Field Summary
`static double` | `defaultTextSize`
`java.awt.Font` | `font`
`ITextGeo` | `text`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IText(IServerI s, java.lang.String str, double fontSize, double x, double y, double z)`
`IText(IServerI s, java.lang.String str, double fontSize, double x, double y, double z, double textDirX, double textDirY, double textDirZ)`
`IText(IServerI s, java.lang.String str, double fontSize, double x, double y, double z, double textDirX, double textDirY, double textDirZ, double textUpDirX, double textUpDirY, double textUpDirZ)`
`IText(IServerI s, java.lang.String str, double fontSize, IVecI pos)`
`IText(IServerI s, java.lang.String str, double fontSize, IVecI pos, IVecI textDir)`
`IText(IServerI s, java.lang.String str, double fontSize, IVecI pos, IVecI textDir, IVecI textUpDir)`
`IText(IServerI s, java.lang.String str, IVecI pos, IVecI uvec, IVecI vvec)`
`IText(java.lang.String str, double fontSize, double x, double y, double z)`
`IText(java.lang.String str, double fontSize, double x, double y, double z, double textDirX, double textDirY, double textDirZ)`
`IText(java.lang.String str, double fontSize, double x, double y, double z, double textDirX, double textDirY, double textDirZ, double textUpDirX, double textUpDirY, double textUpDirZ)`
`IText(java.lang.String str, double fontSize, IVecI pos)`
`IText(java.lang.String str, double fontSize, IVecI pos, IVecI textDir)`
`IText(java.lang.String str, double fontSize, IVecI pos, IVecI textDir, IVecI textUpDir)`
`IText(java.lang.String str, IVecI pos, IVecI uvec, IVecI vvec)`

Method Summary
`IText` | `alignBottom()`
`IText` | `alignCenter()`
`IText` | `alignLeft()`
`IText` | `alignMiddle()`
`IText` | `alignRight()`
`IText` | `alignTop()`
`IVec` | `corner(int i, int j)`
`IGraphicObject` | `createGraphic(IGraphicMode m)`
`java.awt.Font` | `font()`
`IText` | `font(java.awt.Font f)`
`IText` | `font(processing.core.PFont f)`
`IText` | `font(java.lang.String fontName)`
`IText` | `font(java.lang.String fontName, int fontStyle)`
`IText` | `font(java.lang.String fontName, int fontStyle, int fontPixelResolution)`
`void` | `initText(IServerI s)`
`boolean` | `isAlignBottom()`
`boolean` | `isAlignCenter()`
`boolean` | `isAlignLeft()`
`boolean` | `isAlignMiddle()`
`boolean` | `isAlignRight()`
`boolean` | `isAlignTop()`
`IVec` | `pos()`
`IText` | `pos(IVecI v)`
`java.lang.String` | `text()`
`IText` | `text(java.lang.String txt)`
`IVec` | `uvec()`
`IText` | `uvec(IVecI v)`
`IVec` | `vvec()`
`IText` | `vvec(IVecI v)`

Methods inherited from class igeo.IObject
`addDynamics, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, clearDynamics, clearGraphics, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, cp, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dup, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, hide, hsb, hsb, hsb, hsb, initGraphic, initObject, isValid, isVisible, layer, layer, layer, name, name, red, redInt, resetGraphic, server, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, setParameter, show, syncColor, syncGraphic, syncVisibility, syncWeight, updateGraphic, userData, userData, visible, weight, weight, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultTextSize

    public static final double defaultTextSize

See Also:
  Constant Field Values

### text

    public ITextGeo text

### font

    public java.awt.Font font

Constructor Detail

### IText

    public IText(IServerI s,
                 java.lang.String str,
                 double fontSize,
                 IVecI pos,
                 IVecI textDir,
                 IVecI textUpDir)

### IText

    public IText(IServerI s,
                 java.lang.String str,
                 double fontSize,
                 IVecI pos,
                 IVecI textDir)

### IText

    public IText(IServerI s,
                 java.lang.String str,
                 double fontSize,
                 IVecI pos)

### IText

    public IText(IServerI s,
                 java.lang.String str,
                 IVecI pos,
                 IVecI uvec,
                 IVecI vvec)

Parameters:
  `uvec` - direction of text whose length is font size.
  `vvec` - direction of text height whose length is font size.

### IText

    public IText(IServerI s,
                 java.lang.String str,
                 double fontSize,
                 double x,
                 double y,
                 double z,
                 double textDirX,
                 double textDirY,
                 double textDirZ,
                 double textUpDirX,
                 double textUpDirY,
                 double textUpDirZ)

### IText

    public IText(IServerI s,
                 java.lang.String str,
                 double fontSize,
                 double x,
                 double y,
                 double z,
                 double textDirX,
                 double textDirY,
                 double textDirZ)

### IText

    public IText(IServerI s,
                 java.lang.String str,
                 double fontSize,
                 double x,
                 double y,
                 double z)

### IText

    public IText(java.lang.String str,
                 double fontSize,
                 IVecI pos,
                 IVecI textDir,
                 IVecI textUpDir)

### IText

    public IText(java.lang.String str,
                 double fontSize,
                 IVecI pos,
                 IVecI textDir)

### IText

    public IText(java.lang.String str,
                 double fontSize,
                 IVecI pos)

### IText

    public IText(java.lang.String str,
                 IVecI pos,
                 IVecI uvec,
                 IVecI vvec)

Parameters:
  `uvec` - direction of text whose length is font size.
  `vvec` - direction of text height whose length is font size.

### IText

    public IText(java.lang.String str,
                 double fontSize,
                 double x,
                 double y,
                 double z,
                 double textDirX,
                 double textDirY,
                 double textDirZ,
                 double textUpDirX,
                 double textUpDirY,
                 double textUpDirZ)

### IText

    public IText(java.lang.String str,
                 double fontSize,
                 double x,
                 double y,
                 double z,
                 double textDirX,
                 double textDirY,
                 double textDirZ)

### IText

    public IText(java.lang.String str,
                 double fontSize,
                 double x,
                 double y,
                 double z)

Method Detail

### initText

    public void initText(IServerI s)

### createGraphic

    public IGraphicObject createGraphic(IGraphicMode m)

  Overrides:
    `createGraphic` in class `IObject`

### corner

    public IVec corner(int i,
                       int j)

### font

    public java.awt.Font font()

### font

    public IText font(java.awt.Font f)

### font

    public IText font(processing.core.PFont f)

### font

    public IText font(java.lang.String fontName,
                      int fontStyle,
                      int fontPixelResolution)

### font

    public IText font(java.lang.String fontName,
                      int fontStyle)

### font

    public IText font(java.lang.String fontName)

### pos

    public IVec pos()

### uvec

    public IVec uvec()

### vvec

    public IVec vvec()

### pos

    public IText pos(IVecI v)

### uvec

    public IText uvec(IVecI v)

### vvec

    public IText vvec(IVecI v)

### text

    public java.lang.String text()

### text

    public IText text(java.lang.String txt)

### alignLeft

    public IText alignLeft()

### alignCenter

    public IText alignCenter()

### alignRight

    public IText alignRight()

### alignTop

    public IText alignTop()

### alignMiddle

    public IText alignMiddle()

### alignBottom

    public IText alignBottom()

### isAlignLeft

    public boolean isAlignLeft()

### isAlignCenter

    public boolean isAlignCenter()

### isAlignRight

    public boolean isAlignRight()

### isAlignTop

    public boolean isAlignTop()

### isAlignMiddle

    public boolean isAlignMiddle()

### isAlignBottom

    public boolean isAlignBottom()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD